Subject: Re: SIGTERM does not stop backend postgres processes immediately
From: Jason Tishler <[email-masked]>
To: Fred Yankowski <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 8 May 2001 22:05:19 -0400

Fred,

On Tue, May 08, 2001 at 02:24:27PM -0500, Fred Yankowski wrote:
> This problem sounds similar to one reported in the pgsql-ports list
> earlier this year [1].  That thread concludes that it's a Cygwin
> problem, but with no solution yet.  Has there been any progress since
> then?
> 
> [1] http://postgresql.readysetnet.com/mhonarc/pgsql-ports/2001-01/msg00023.html

Sorry for the dangling thread -- the discussion was moved over to the
cygwin-developers list:

    http://www.cygwin.com/ml/cygwin-developers/2001-02/msg00019.html

So, AFAICT the problem in [1] has been "solved."

However, I have not built PostgreSQL with Cygwin 1.3.1 -- I have only run
it against Cygwin 1.3.1.  What happens when you run make check?  Does the
postmaster exit cleanly at the end of the regression test as expected?
Or, does it hang?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple